Index: trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 52)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 3;
+        public static int s_SystemVersion = 6;
 
         /// <summary>
         /// コピー・環境バージョン
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsApprovalPermission.cs	(revision 52)
@@ -1,5 +1,6 @@
 ﻿using System;
 using System.Collections.Generic;
+using System.Collections;
 using System.Linq;
 using System.Text;
 using System.Threading.Tasks;
@@ -26,13 +27,10 @@
         private static readonly log4net.ILog logger = log4net.LogManager.GetLogger(System.Reflection.MethodBase.GetCurrentMethod().DeclaringType);
         #endregion
 
-        #region 承認申請・承認をする
+        #region 承認申請・承認をする(工事承認)
         /// <summary>
-        /// 案件の承認申請・承認をする
+        /// 案件の承認申請・承認をする(工事承認)
         /// </summary>
-        /// <param name="ConstructionCode">工事番号</param>
-        /// <param name="ApprovalCode">機能番号</param>
-        /// <param name="Status">承認状態</param>
         /// <returns>成功：true　失敗：false</returns>
         public static bool CreatePetitionApproval(ProcessApproval Rec)
         {
@@ -68,10 +66,49 @@
         }
         #endregion
 
-        #region 申請レコード更新
+        #region 承認申請・承認をする(担当者承認)
         /// <summary>
-        /// 申請レコードを更新する
+        /// 案件の承認申請・承認をする(担当者承認)
         /// </summary>
+        /// <returns>成功：true　失敗：false</returns>
+        public static bool CreatePetitionApproval(PersonApproval Rec)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                string strSQL = ApprDB.CreatePrimarykeyString(Rec.PersonCode, Rec.ApprovalCode, Rec.OrderDate, Rec.SeqNo);
+                List<PersonApproval> DataList = new List<PersonApproval>();
+                // データがあるかをチェックする
+                if (!ApprDB.SelectAction(strSQL, ref DataList)) return false;
+
+                // データ追加時
+                if (DataList.Count == 0)
+                {
+                    if (!ApprDB.InsertAction(Rec)) return false;
+                    return true;
+                }
+
+                // データ更新時
+                if (!ApprDB.UpdateAction(strSQL, Rec)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 申請レコード更新(工事承認)
+        /// <summary>
+        /// 申請レコードを更新する(工事承認)
+        /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <param name="Status"></param>
@@ -81,15 +118,6 @@
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
             {
-                // 申請レコードを取得する
-                //string strSQL = ApprDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, OrderNO, 1);
-                //ProcessApproval DataRec = new ProcessApproval();
-                //// データがあるかをチェックする
-                //if (!ApprDB.SelectAction(strSQL, ref DataRec)) return false;
-
-                // レコードのステータスを変える
-                //DataRec.ApprovalStatus = Status;
-                //if (!ApprDB.UpdateAction(strSQL, DataRec)) return false;
                 if (!ApprDB.UpdateFeild(ConstructionCode,
                                         (int)IOProcessApproval.ColumnName.ApprovalStatus,
                                         Status,
@@ -112,14 +140,49 @@
         }
         #endregion
 
-        #region 申請確認
+        #region 申請レコード更新(担当者承認)
         /// <summary>
+        /// 申請レコードを更新する(担当者承認)
+        /// </summary>
+        /// <param name="ConstructionCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <param name="Status"></param>
+        /// <returns></returns>
+        public static bool SetPrimaryRecStatus(int ConstructionCode, int ApprovalCode, DateTime OrderDate, int Status)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                if (!ApprDB.UpdateFeild(ConstructionCode,
+                                        ApprovalCode,
+                                        OrderDate,
+                                        (int)IOProcessApproval.ColumnName.ApprovalStatus,
+                                        Status,
+                                        true,
+                                        1)) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 申請確認（工事承認）
+        /// <summary>
         /// 案件に対して申請がされているかを確認する
         /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckPetition(int ConstructionCode, int ApprovalCode, int ApprovalCount)
+        public static bool CheckProcessPetition(int ConstructionCode, int ApprovalCode, int ApprovalCount)
         {
             IOProcessApproval ApprDB = new IOProcessApproval();
             try
@@ -146,14 +209,48 @@
         }
         #endregion
 
-        #region 最終承認確認
+        #region 申請確認（担当者承認）
         /// <summary>
+        /// 担当者申請がされているかを確認する
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <returns></returns>
+        public static bool CheckPersonPetition(int PersonCode, int ApprovalCode, DateTime ApprovalDate)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                bool bPetition = false;
+                // 申請データ取得
+                string strSQL = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate, 1);
+                List<PersonApproval> PetitionList = new List<PersonApproval>();
+                if (!ApprDB.SelectAction(strSQL, ref PetitionList)) return bPetition;
+                // 申請データが無い場合
+                if (PetitionList.Count != 0) bPetition = true;
+
+                return bPetition;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 最終承認確認（工事承認）
+        /// <summary>
         /// 案件に対して承認がされているかを確認する
         /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckApproval(int ConstructionCode, int ApprovalCode, int Approvalcount)
+        public static bool CheckProcessApproval(int ConstructionCode, int ApprovalCode, int Approvalcount)
         {
             IOMApproval mApprDB = new IOMApproval();
             IOProcessApproval ApprDB = new IOProcessApproval();
@@ -181,14 +278,47 @@
         }
         #endregion
 
-        #region 承認確認
+        #region 最終承認確認（担当者承認）
         /// <summary>
-        /// 案件に対して最終承認がされているかを確認する
+        /// 担当者申請に対して承認がされているかを確認する
         /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <returns></returns>
+        public static bool CheckPersonApproval(int PersonCode, int ApprovalCode, DateTime ApprovalDate)
+        {
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                // 承認データを取得する（申請データを除く）
+                string strData = ApprDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate, 1);
+                PersonApproval DataRec = new PersonApproval();
+                if (!ApprDB.SelectAction(strData, ref DataRec)) return false;
+
+                if (DataRec.ApprovalStatus != (int)CommonDefine.ApprovalStatus.Approval) return false;
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+            }
+        }
+        #endregion
+
+        #region 承認確認（工事承認）
+        /// <summary>
+        /// 工事案件に対して最終承認がされているかを確認する
+        /// </summary>
         /// <param name="ConstructionCode"></param>
         /// <param name="ApprovalCode"></param>
         /// <returns></returns>
-        public static bool CheckApprovalData(int ConstructionCode, int ApprovalCode, int OrderNo)
+        public static bool CheckProcessApprovalData(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
             IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
             IOMApproval mApprDB = new IOMApproval();
@@ -260,6 +390,73 @@
         }
         #endregion
 
+        #region 承認確認（担当者承認）
+        /// <summary>
+        /// 担当者申請に対して最終承認がされているかを確認する
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <param name="ApprovalCode"></param>
+        /// <returns></returns>
+        public static bool CheckPersonApprovalData(int PersonCode, int ApprovalCode, DateTime OrderDate)
+        {
+            IOConstructionBaseInfo cbiDB = new IOConstructionBaseInfo();
+            IOMApproval mApprDB = new IOMApproval();
+            IOPersonApproval ApprDB = new IOPersonApproval();
+            try
+            {
+                bool bApproval = false;
+
+                // 承認データを取得する（申請データを除く）
+                string strSQL = "SELECT A.DISPLAYORDER, A.APPROVALPERSON, A.APPROVALAUTHORITY, B.SEQNO, B.APPROVALSTATUS";
+                strSQL += " FROM APPROVALMASTER A";
+                strSQL += " LEFT JOIN PERSONAPPROVAL B ON B.PERSONCODE = A.APPROVALPERSON AND B.APPROVALCODE = A.APPROVALCODE";
+                strSQL += string.Format(" AND B.ORDERDATE = TO_DATE('{0}') AND B.SEQNO != 1", OrderDate);
+                strSQL += string.Format(" WHERE A.APPROVALCODE = {0}", ApprovalCode);
+                strSQL += " AND A.DEPARTMENTCODE = (SELECT C.DEPARTMENTCODE FROM PERSONINCHARGEMASTER C";
+                strSQL += string.Format(" WHERE C.PERSONCODE = {0})", PersonCode);
+                strSQL += " ORDER BY A.DISPLAYORDER";
+
+                ArrayList DataList = new ArrayList();
+                if (!ApprDB.ExecuteReader(strSQL, ref DataList)) return false;
+                if (DataList.Count == 0) return false;
+
+                int NoCnt = DataList.Count;
+                foreach (object[] DataRec in DataList)
+                {
+                    // 承認以外は対象にしない
+                    int StatData= CommonMotions.cnvInt(DataRec[4]);
+                    if (StatData != (int)CommonDefine.ApprovalStatus.Approval) continue;
+
+                    // 最終承認権限が設定されていれば承認済み
+                    int ApprovalAuthority = CommonMotions.cnvInt(DataRec[2]);
+                    if (ApprovalAuthority == 1)
+                    {
+                        bApproval = true;
+                        break;
+                    }
+
+                    // 承認していればデータ件数からマイナス
+                    --NoCnt;
+                }
+                // マスタに設定されている承認者全員が承認していれば承認
+                if (NoCnt == 0) bApproval = true;
+
+                return bApproval;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                ApprDB.close(); ApprDB = null;
+                mApprDB.close(); mApprDB = null;
+                cbiDB.close(); cbiDB = null;
+            }
+        }
+        #endregion
+
         #region ログインユーザーの承認者確認
         /// <summary>
         /// ログインユーザーは承認者かどうかを確認する
@@ -270,7 +467,6 @@
         public static bool CheckUserForApprover(int ApprovalCode, int DepartmentCode)
         {
             IOMApproval mApprDB = new IOMApproval();
-            IOProcessApproval ApprDB = new IOProcessApproval();
             try
             {
                 // システム管理者は全ての権限を持つ
@@ -306,7 +502,6 @@
             }
             finally
             {
-                ApprDB.close(); ApprDB = null;
                 mApprDB.close(); mApprDB = null;
             }
         }
@@ -370,7 +565,6 @@
         /// <summary>
         /// 工事コードと承認機能コードより現在管理担当部署コードを取得する
         /// </summary>
-        /// <param name="PersonCode"></param>
         /// <returns></returns>
         public static int GetFromConstructionAndApprovalTheDepartment(int ConstructionCode, int ApprovalCode, int OrderNo)
         {
@@ -412,6 +606,51 @@
         }
         #endregion
 
+        #region 担当者コードと承認機能コードより現在管理担当部署コードを取得
+        /// <summary>
+        /// 担当者コードと承認機能コードより現在管理担当部署コードを取得する
+        /// </summary>
+        /// <returns></returns>
+        public static int GetFromPersonAndApprovalTheDepartment(int PersonCode, int ApprovalCode, DateTime OrderDate)
+        {
+            IOMPersonInCharge picDB = new IOMPersonInCharge();
+            IOPersonApproval ApprovalDB = new IOPersonApproval();
+            try
+            {
+                // 管理担当者コードを取得する
+                string strSQL = ApprovalDB.CreatePrimarykeyString(PersonCode, ApprovalCode, OrderDate, 1);
+                PersonApproval ApprovalRec = new PersonApproval();
+                int CurrentPersonCode = 0;
+                if (ApprovalDB.SelectAction(strSQL, ref ApprovalRec))
+                {   // 申請データがある時はそのデータ
+                    CurrentPersonCode = ApprovalRec.PersonCode;
+                }
+                else
+                {
+                    // データが無い場合（申請時）はログインユーザー
+                    CurrentPersonCode = CommonMotions.LoginUserData.PersonCode;
+                }
+
+                // 担当者部署取得
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                string strPerson = picDB.CreatePrimarykeyString(CurrentPersonCode);
+                if (!picDB.SelectAction(strPerson, ref PersonRec)) return 0;
+
+                return PersonRec.DepartmentCode;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                ApprovalDB.close(); ApprovalDB = null;
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
         #region 工事コードと承認機能コードより現在管理担当者コードを取得
         /// <summary>
         /// 工事コードと承認機能コードより現在管理担当者コードを取得する
@@ -481,12 +720,12 @@
         }
         #endregion
 
-        #region 承認数取得
+        #region 承認数取得（工事承認）
         /// <summary>
         /// 該当工事より承認数取得する
         /// </summary>
         /// <returns></returns>
-        public static int GetApprovalDataCount(int ConstructionCode, int ApprovalCode, int ApprovalCount)
+        public static int GetProcessApprovalDataCount(int ConstructionCode, int ApprovalCode, int ApprovalCount)
         {
             IOProcessApproval paDB = new IOProcessApproval();
             try
@@ -493,7 +732,7 @@
             {
                 // 承認データ取得
                 string strSQL = paDB.CreatePrimarykeyString(ConstructionCode, ApprovalCode, ApprovalCount);
-                strSQL += " And SeqNo != 1 And ApprovalStatus = 2";
+                strSQL += string.Format(" And SeqNo != 1 And ApprovalStatus = {0}",(int)CommonDefine.ApprovalStatus.Approval);
                 List<ProcessApproval> ApprovalList = new List<ProcessApproval>();
                 if (!paDB.SelectAction(strSQL, ref ApprovalList)) return 0;
 
@@ -511,6 +750,36 @@
         }
         #endregion
 
+        #region 承認数取得（担当者承認）
+        /// <summary>
+        /// 担当者申請より承認数取得する
+        /// </summary>
+        /// <returns></returns>
+        public static int GetPersonApprovalDataCount(int PersonCode, int ApprovalCode, DateTime ApprovalDate)
+        {
+            IOPersonApproval paDB = new IOPersonApproval();
+            try
+            {
+                // 承認データ取得
+                string strSQL = paDB.CreatePrimarykeyString(PersonCode, ApprovalCode, ApprovalDate);
+                strSQL += string.Format(" And SeqNo != 1 And ApprovalStatus = {0}", (int)CommonDefine.ApprovalStatus.Approval);
+                List<PersonApproval> ApprovalList = new List<PersonApproval>();
+                if (!paDB.SelectAction(strSQL, ref ApprovalList)) return 0;
+
+                return ApprovalList.Count;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return 0;
+            }
+            finally
+            {
+                paDB.close(); paDB = null;
+            }
+        }
+        #endregion
+
         #region 承認経路数を取得する
         /// <summary>
         /// 承認マスタより承認経路数を取得する
@@ -548,7 +817,7 @@
         /// 承認画面が起動しているかを確認する
         /// </summary>
         /// <returns></returns>
-        public static bool ExceApprovalScreen()
+        public static bool ExceApprovalScreen(int ApprovalNo = (int)ClsExcute.SubFormExecuteNo.ApprovalScreen)
         {
             try
             {
@@ -556,7 +825,7 @@
                 // 承認画面からの画面遷移は1画面（対象画面）のみになったのですぐ前にあるはず
                 for (int i = ClsExcute.GetNowProcessPoint() - 1; 0 <= i; i--)
                 {
-                    if (ClsExcute.ProcControlPara[i].ProcNo == (int)ClsExcute.SubFormExecuteNo.ApprovalScreen)
+                    if (ClsExcute.ProcControlPara[i].ProcNo == ApprovalNo)
                     {
                         bRet = true;
                         break;
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsChangeLedgerData.cs	(revision 52)
@@ -566,7 +566,9 @@
                             if (CheckPaymentValue(CurRec))
                             {
                                 // 日数分掛ける
-                                dSaraly *= CurRec.SalaryDays;
+                                dSaraly *= WorkingDay;
+                                // 元の値を加算する
+                                dSaraly += NowValue;
                             }
                             else
                             {
Index: trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 51)
+++ trunk/src/ProcessManagement/ProcessManagement/Common/Process/ClsExcute.cs	(revision 52)
@@ -66,7 +66,17 @@
             PurchaseOrderStatus = 19,           // 19:注文書発給一覧
             OrderJoin = 20,                     // 20:工事結合
             ConstructionSplit = 21,             // 21:工事分割
-            DRTransport = 22,                   // 22:通勤交通費
+            PersonApprovalList = 22,            // 22:担当者承認一覧
+            MaterialList = 23,                  // 23:資材一覧
+            MaterialHistory = 24,               // 24:資材履歴画面
+            MaterialCountEntry = 25,            // 25:資材数変更画面
+            MaterialReserveEntry = 26,          // 26:資材貸出
+            MaterialReturnEntry = 27,           // 27:資材返却
+            MaterialSelect = 28,                // 28;資材選択
+            RequestSummaryList = 29,            // 29:請求まとめ 
+            PaymentConfirmation = 30,           // 30:入金確認
+            RequestInput = 31,                  // 31:請求入力
+            RequestPrint = 32,                  // 32:請求書印刷
         }
         #endregion
 
@@ -102,6 +112,9 @@
             Security = 124,                     // 124:セキュリティ区分マスタ
             OrderDivision = 125,                // 125:発注者区分登録
             ConstructionExpenses = 126,         // 126:施工経費区分登録
+            MaterialKind = 127,                 // 127:資材種類マスタ
+            MaterialItem = 128,                 // 128:資材品目マスタ
+            SalesConfirm = 129,                 // 129:売上確認
         }
         #endregion
 
@@ -115,10 +128,11 @@
             MessageReader = 202,                // 202:掲示板読込
             ActionSchdule = 203,                // 203:行動予定入力
             VehicleSchdule = 204,               // 204:車両予約入力
-            ApprovalScreen = 205,               // 205:承認画面
+            ApprovalScreen = 205,               // 205:工事承認画面
             SubconstractorDiag = 206,           // 206:協力会社検索画面
             SuppliersDiag = 207,                // 207:仕入先検索
             SubConJobDiag = 208,                // 208:協力会社職種検索画面
+            ApprovalPerson = 209,               // 209:担当者承認画面
         }
         #endregion
 
@@ -145,6 +159,13 @@
                                                                                 { (int)ProcessExecuteNo.DRList,                 "工事日報－一覧"},
                                                                                 { (int)ProcessExecuteNo.DRConstruction,         "工事日報－入力"},
                                                                                 { (int)ProcessExecuteNo.Proceedings,            "打合せ議事録－入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialList,           "資材入力"},
+                                                                                { (int)ProcessExecuteNo.MaterialReserveEntry,   "資材貸出"},
+                                                                                { (int)ProcessExecuteNo.MaterialReturnEntry,    "資材返却"},
+                                                                                { (int)ProcessExecuteNo.RequestSummaryList,     "請求まとめ"},
+                                                                                { (int)ProcessExecuteNo.PaymentConfirmation,    "入金確認"},
+                                                                                { (int)ProcessExecuteNo.RequestInput,           "請求入力"},
+                                                                                { (int)ProcessExecuteNo.RequestPrint,           "請求書印刷"},
                                                                                 //{ (int)ProcessExecuteNo.DailyReportList,        "出勤日報－入力"},
                                                                                 //{ (int)ProcessExecuteNo.PurchaseOrderStatus,    "注文書発給状況－一覧"},
                                                                                 //{ (int)ProcessExecuteNo.OrderJoin,              "工事結合－入力"},
@@ -185,6 +206,9 @@
                                                                                 { (int)MaintenanceExecuteNo.Security,                   "セキュリティ区分登録"},       // 124
                                                                                 { (int)MaintenanceExecuteNo.OrderDivision,              "発注者区分登録"},             // 125
                                                                                 { (int)MaintenanceExecuteNo.ConstructionExpenses,       "施工経費区分登録"},           // 126
+                                                                                { (int)MaintenanceExecuteNo.MaterialKind,               "資材種類登録"},               // 127
+                                                                                { (int)MaintenanceExecuteNo.MaterialItem,               "資材品目登録"},               // 128
+                                                                                { (int)MaintenanceExecuteNo.SalesConfirm,               "売上確認"},                   // 129
                                                                                 };
         #endregion
 
@@ -222,6 +246,10 @@
             /// 6:工事日報承認
             /// </summary>
             DRConstructionApproval,
+            /// <summary>
+            /// 7:出勤日報承認
+            /// </summary>
+            DRWorkApproval,
         }
         #endregion
 
@@ -414,6 +442,9 @@
                             ProcessExecuteNo_ConstructionSplit(m_ProcControlPara[NowPoint]);
                             break;
 
+                        case (int)ProcessExecuteNo.PersonApprovalList:                  // 22:担当者承認申請一覧
+                            ProcessExecuteNo_PersonAppList(m_ProcControlPara[NowPoint]);
+                            break;
                         #endregion
 
                         #region マスタメンテ
@@ -501,25 +532,29 @@
 
                         #region サブフォーム
                         // ----- サブフォーム
-                        case (int)SubFormExecuteNo.MessageWriter:                       //  1:掲示板入力(新バージョン)
+                        case (int)SubFormExecuteNo.MessageWriter:                       // 201:掲示板入力(新バージョン)
                             SubFormExecuteNo_MessageWriter(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.MessageReader:                       //  2:掲示板読込
+                        case (int)SubFormExecuteNo.MessageReader:                       // 202:掲示板読込
                             SubFormExecuteNo_MessageReader(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.ActionSchdule:                       //  3:行動予定入力
+                        case (int)SubFormExecuteNo.ActionSchdule:                       // 203:行動予定入力
                             SubFormExecuteNo_ActionSchdule(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.VehicleSchdule:                      //  4:車両予約入力
+                        case (int)SubFormExecuteNo.VehicleSchdule:                      // 204:車両予約入力
                             SubFormExecuteNo_VehicleSchdule(m_ProcControlPara[NowPoint]);
                             break;
 
-                        case (int)SubFormExecuteNo.ApprovalScreen:                      //  5:承認画面
+                        case (int)SubFormExecuteNo.ApprovalScreen:                      // 205:承認画面
                             SubFormExecuteNo_ApprovalScreen(m_ProcControlPara[NowPoint]);
                             break;
+                        case (int)SubFormExecuteNo.ApprovalPerson:                      // 209:担当者承認画面
+                            SubFormExecuteNo_ApprovalPerson(m_ProcControlPara[NowPoint]);
+                            break;
+
                         #endregion
                     }
                 }
@@ -1521,6 +1556,44 @@
         }
         #endregion
 
+        #region 担当者承認申請一覧リスト
+        /// <summary>
+        /// 担当者承認申請一覧リスト
+        /// </summary>
+        /// <param name="CurrentPara"></param>
+        public static void ProcessExecuteNo_PersonAppList(ProcessParameter CurrentPara)
+        {
+            //　担当者承認申請一覧
+            FrmPersonApprList frm = new FrmPersonApprList();
+            try
+            {
+                // 次起動プロセスが設定されていない場合は終了
+                if (CurrentPara.IntExecParameter[0] == 0)
+                {
+                    // 前プロセスに戻る
+                    BackProcess();
+                    return;
+                }
+
+                // 次起動プロセスセット
+                frm.ExecuteFlg = CurrentPara.IntExecParameter[0];
+
+                // フォーム表示
+                frm.ShowDialog();
+
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
+        #endregion
+
         #region 出勤管理入力
         /// <summary>
         /// 出勤管理入力
@@ -2524,9 +2597,9 @@
         }
         #endregion
         
-        #region 承認画面
+        #region 工事承認画面
         /// <summary>
-        /// 承認画面
+        /// 工事承認画面
         /// </summary>
         /// <returns></returns>
         public static void SubFormExecuteNo_ApprovalScreen(ProcessParameter CurrentPara)
@@ -2557,7 +2630,41 @@
             }
         }
         #endregion
+
+        #region 担当者承認画面
+        /// <summary>
+        /// 担当者承認画面
+        /// </summary>
+        /// <returns></returns>
+        public static void SubFormExecuteNo_ApprovalPerson(ProcessParameter CurrentPara)
+        {
+            // 承認画面
+            FrmApprovalPerson frm = new FrmApprovalPerson();
+            try
+            {
+                frm.PersonCode = CurrentPara.IntExecParameter[0];
+                frm.ApprovalCode = CurrentPara.IntExecParameter[1];
+                frm.OrderDate = CommonMotions.cnvDate(CurrentPara.StringExecParameter[0]);
+                for (int i = 3; i < CurrentPara.IntExecParameter.Count; i++)
+                {
+                    frm.PurchaseOrderSeqNo.Add(CurrentPara.IntExecParameter[i]);
+                }
+
+                // フォーム表示
+                frm.ShowDialog();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                BackProcess();
+            }
+            finally
+            {
+                frm.Dispose(); frm = null;
+            }
+        }
         #endregion
+        #endregion
 
     }
 }
